package com.chenyang.nse.bussiness.entity.param.maskingself;

public class ColumnInfoParam {
   private String primarykey;
   private String columnname;
   private String typename;
   private String columnsize;
   private String decimaldigits;
   private String isnullable;
   private String remarks;
   private String regextype;
   private String maskingruleid;
   private String maskingrulename;
   private String foreignkey;

   public String getPrimarykey() {
      return this.primarykey;
   }

   public void setPrimarykey(String primarykey) {
      this.primarykey = primarykey;
   }

   public String getColumnname() {
      return this.columnname;
   }

   public void setColumnname(String columnname) {
      this.columnname = columnname;
   }

   public String getTypename() {
      return this.typename;
   }

   public void setTypename(String typename) {
      this.typename = typename;
   }

   public String getColumnsize() {
      return this.columnsize;
   }

   public void setColumnsize(String columnsize) {
      this.columnsize = columnsize;
   }

   public String getDecimaldigits() {
      return this.decimaldigits;
   }

   public void setDecimaldigits(String decimaldigits) {
      this.decimaldigits = decimaldigits;
   }

   public String getIsnullable() {
      return this.isnullable;
   }

   public void setIsnullable(String isnullable) {
      this.isnullable = isnullable;
   }

   public String getRemarks() {
      return this.remarks;
   }

   public void setRemarks(String remarks) {
      this.remarks = remarks;
   }

   public String getRegextype() {
      return this.regextype;
   }

   public void setRegextype(String regextype) {
      this.regextype = regextype;
   }

   public String getMaskingruleid() {
      return this.maskingruleid;
   }

   public void setMaskingruleid(String maskingruleid) {
      this.maskingruleid = maskingruleid;
   }

   public String getMaskingrulename() {
      return this.maskingrulename;
   }

   public void setMaskingrulename(String maskingrulename) {
      this.maskingrulename = maskingrulename;
   }

   public String getForeignkey() {
      return this.foreignkey;
   }

   public void setForeignkey(String foreignkey) {
      this.foreignkey = foreignkey;
   }
}
